# Screen Recording

***

{% hint style="info" %}
For these changes, the <mark style="background-color:yellow;">**Config.lua**</mark> file must be open and the <mark style="background-color:yellow;">**Config.Records**</mark> table must be checked.
{% endhint %}

## Active Screen recording

* You can enable screen recording by setting <mark style="background-color:orange;">**\["enableRecord"]**</mark> to <mark style="background-color:orange;">**true**</mark> in this variable.
* Go to the config variables of the profession you have
* Go to the <mark style="background-color:orange;">**\[‘videoUpload’]**</mark> variable and set <mark style="background-color:orange;">**\[‘fivemanage’**</mark><mark style="background-color:orange;">]</mark> to `true`.
* You must enter <mark style="background-color:orange;">**\[‘fivemanage\_token’]**</mark>. You can visit the [<mark style="background-color:yellow;">**FiveManage**</mark>](https://fivemanage.com) site for the token.

## Change Recording time

* For this you need to change the value of the <mark style="background-color:orange;">**\["recordTime"]**</mark> variable. Currently the default time is <mark style="background-color:orange;">**1 \* 60 \* 1000**</mark> which is 1 minute.
  * You can follow this to increase the minutes: Min \* 60 \* 1000
  * Min = Number of minutes you want

{% hint style="warning" %}
I recommend a maximum of **3 minutes**. Depending on the user's **internet speed**, it may take longer to load or the **clip may not load** and **disappear**.
{% endhint %}

## Changing the screen recording key

* <mark style="background-color:orange;">**\["recordKey"]**</mark> This assigned key is pressed while Bodycam is active to start recording.

{% hint style="warning" %}
The first time a player enters the server, the typed key takes effect. After the key is changed, it will only be active for first time users. If this key was previously registered in the person's system, it will not change with the new key.
{% endhint %}

***

## How to use the Screen Recording Program?

**Maximum fps, world and player sound recording system, coming soon!**


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.0resmon.org/0resmon/0resmon-1/wais-resoucres/wais-bodycamv2/screen-recording.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
